# 32/64bit spec
#
Summary: Console jabber client
Summary(de): Jabber-Klient für die Konsole
Name: mcabber
Version: 1.1.0
Release: %mkrel 1
License: GPLv2+
Group: Networking/Instant messaging
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://mcabber.com/
Source: http://mcabber.com/files/mcabber-%{version}.tar.xz
BuildRequires: gcc-c++ 
BuildRequires: libncursesw-devel 
BuildRequires: glib2-devel 
BuildRequires: openssl-devel
BuildRequires: enchant-devel
BuildRequires: libotr-devel
BuildRequires: gpgme-devel
BuildRequires: libloudmouth-devel

%description
Mcabber is a small jabber console client which supports SSL support, history
logging, external actions and more.

%description -l de
Mcabber ist ein kleiner Jabber-Klient für die Konsole, welcher SSL unterstützt, 
Chatverlaufslogging, externe Aktionen und mehr.

%package devel
Summary: Header files and libraries for %name
Summary(de): Header-Dateien und Bibliotheken für %name
Group: Development/Libraries/C and C++

%description devel 
Header files and libraries for %name

%description devel -l de
Header-Dateien und Bibliotheken für %name

%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -ltinfo"
%configure2_5x --enable-enchant --enable-otr --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall

# we use the shared modules not the static ones
rm -f %{buildroot}%{_libdir}/%name/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog NEWS README TODO
%doc mcabberrc.example contrib 
%{_mandir}/man1/mcabber.1*
%{_bindir}/mcabber
%{_datadir}/%{name}/
%{_libdir}/%name/*.so

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/%name/*.h
%{_includedir}/%name/utf8.c
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Thu Oct 05 2017 ghostbunny <ghostbunny at gmx dot de> 1.1.0-1pclos2017
- 1.1.0

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 1.0.2-1pclos2016
- 1.0.2

* Tue Mar 05 2013 ghostbunny <ghostbunny at gmx dot de> 0.10.2-1pclos2013
- 0.10.2
- added german summary and description
- added xz compression for source
- renamed spec to pclos-mcabber.spec
- deleted mdv changelog entries
- updated urls
- fixed BRs
- added devel package

* Sat Dec 06 2009 Pavel Zhukov <pavel@zhukoff.net> 0.9.10-1pclos2010
- Fix BuildRequires to PCLinuxOS packages
